#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	psutils
Version		:	2.05
Release		:	16.2.1.rel%{?dist}
Summary		:	PostScript utilities

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and psutils
URL		:	https://github.com/rrthomas/psutils

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	coreutils
BuildRequires	:	diffutils
BuildRequires	:	gcc
BuildRequires	:	grep
BuildRequires	:	libpaper-devel
BuildRequires	:	make
BuildRequires	:	perl
BuildRequires	:	perl-IPC-Run3

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Utilities for manipulating PostScript documents.
Page selection and rearrangement are supported,
including arrangement into signatures for booklet
printing, and page merging for n-up printing.
 

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%doc README
%license COPYING
%{_bindir}/epsffit
%{_bindir}/extractres
%{_bindir}/includeres
%{_bindir}/psbook
%{_bindir}/psjoin
%{_bindir}/psnup
%{_bindir}/psresize
%{_bindir}/psselect
%{_bindir}/pstops
%{_datadir}/%{name}/PSUtils.pm
%{_mandir}/man1/epsffit.1.gz
%{_mandir}/man1/extractres.1.gz
%{_mandir}/man1/includeres.1.gz
%{_mandir}/man1/psbook.1.gz
%{_mandir}/man1/psjoin.1.gz
%{_mandir}/man1/psnup.1.gz
%{_mandir}/man1/psresize.1.gz
%{_mandir}/man1/psselect.1.gz
%{_mandir}/man1/pstops.1.gz
%{_mandir}/man1/psutils.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
autoreconf -vfi

export CFLAGS="$CFLAGS -DPAPER=\\\"letter\\\" -DUNIX -Wall"
export CCFLAGS="$LDFLAGS"

./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}/%{name}		\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-relocatable				\
	
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%check
unset PSUTILS_UNINSTALLED
#%{__make} 						\
#	%{?_smp_mflags}					\
#	check

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
